#<profile4xi profile = "10" />
# --------------------------------------------------------------------------------
#<program4xi program = "_serve4xi.py">
#<abstract4xi abstract = "providing function _serve4xi"/>
#<refer4xi reference = "reduction.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = ['_serve4xi'] 
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi   

import socket
import traceback
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from print4xi import print4xi
from time4xi import time4xi
#"
#/>




# -------------------------------------------------------------------------------------------------
#<function4xi function = "serve4xi" usage = "
#   pool.py:
#       t = threading.Thread(target=_serve)
#   _get_listener4xi
#       thread2xi = threading.Thread(target=_serve4xi)
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def _serve4xi():
    '''
    thread to share handles
    '''
    class2print = "_serve4xi"
    method2print = "_serve4xi"
    
    message2print = "{started" + "; serve4xi-started: " + str(_serve4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
        
    message2print = "{yielded" + "; serve4xi-yielded-by-serve4xi: " + str(_serve4xi) + "** do NOT call because this function is embedded inside _lock4xi.py to avoid recursion***"  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 

                    
   
#</function4xi>
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of _serve4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
